stages:
  - test
  - publish
  
image: jetpackio/devbox:latest

deno:test:
  stage: test
  script: devbox run test

deno:publish:
  stage: publish
  rules:
    - if: '$CI_COMMIT_TAG'
  script: 
    - echo "$CI_COMMIT_TAG"
    - devbox run publish --token "${JSR_TOKEN}"
